{ config, lib, pkgs, ... }:
{
  nixpkgs.overlays = [
    (final: prev: {
      bitwig-studio = prev.bitwig-studio.overrideAttrs (oldAttrs: {
        version = "6.0";
        src = pkgs.fetchurl {
          url = "https://www.bitwig.com/dl/Bitwig%20Studio/6.0/installer_linux/";
          hash = "8eb09381ac5f79685f2b02de28b9aa4d0592ed155b5671ea2742270a2a669bc9";
        };
        # Inherit the original package's meta information
        meta = oldAttrs.meta;
      });
    })
  ];
}
